> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove attribute relationship from an organisation

> Disassociates an attribute from a specific organisation.



## OpenAPI

````yaml /swagger/auth-api.json delete /api/v1/{app_id}/organisations/{organisation_id}/attributes/{attribute_id}
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Auth API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //customers.enad.io
security: []
paths:
  /api/v1/{app_id}/organisations/{organisation_id}/attributes/{attribute_id}:
    delete:
      tags:
        - Attributes
        - Organisations
      summary: Remove attribute relationship from an organisation
      description: Disassociates an attribute from a specific organisation.
      parameters:
        - description: Application ID
          in: path
          name: app_id
          required: true
          schema:
            type: string
        - description: Organisation ID
          in: path
          name: organisation_id
          required: true
          schema:
            type: string
        - description: Attribute ID
          in: path
          name: attribute_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The updated organisation object
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.GetOrganisationResponse
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.HttpError
        '404':
          description: Organisation or Attribute relationship not found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.HttpError
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.HttpError
components:
  schemas:
    github_com_enadhq_koopa-key_internal_pkg_server_models.GetOrganisationResponse:
      properties:
        company:
          $ref: >-
            #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.Company
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_web.HttpError:
      properties:
        code:
          $ref: >-
            #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.Status
        details:
          items:
            type: string
          type: array
        extra_fields:
          additionalProperties:
            type: string
          type: object
        message:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.Company:
      properties:
        app_id:
          type: string
        attributes:
          items:
            $ref: '#/components/schemas/Attribute'
          type: array
        billing_address:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.CompanyAddress
          type: array
        comment:
          type: string
        contact_name:
          type: string
        created_at:
          type: string
        credit_check:
          type: boolean
        custom_fields:
          additionalProperties:
            type: string
          type: object
        customer_groups:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.CustomerGroupRef
          type: array
        email:
          type: string
        external_ref:
          type: string
        files:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.File
          type: array
        id:
          type: string
        invoice_email:
          type: string
        name:
          type: string
        organisation_number:
          type: string
        parent_id:
          type: string
        phone:
          type: string
        shipping_address:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.CompanyAddress
          type: array
        status:
          type: string
        store_groups:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.StoreGroup
          type: array
        tags:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.Tag
          type: array
        tax_id_vat_number:
          type: string
        updated_at:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_web.Status:
      enum:
        - 201
        - 403
        - 401
        - 500
        - 404
        - 400
        - 409
      type: integer
      x-enum-varnames:
        - StatusCreated
        - StatusForbidden
        - StatusNotAuthorized
        - StatusInternalError
        - StatusNotFound
        - StatusBadRequest
        - StatusConflict
    Attribute:
      description: Attribute represents a product attribute with its complete information.
      properties:
        description:
          type: string
        id:
          type: string
        key:
          type: string
        name:
          type: string
        template_key:
          type: string
        translations:
          $ref: '#/components/schemas/AttributeTranslations'
        values:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeValue'
            type: array
          type: object
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.CompanyAddress:
      properties:
        city:
          type: string
        co_address:
          type: string
        company_id:
          type: string
        company_name:
          type: string
        country:
          type: string
        created_at:
          type: string
        house_number:
          type: string
        id:
          type: string
        is_default:
          type: boolean
        name:
          type: string
        phone:
          type: string
        postal_code:
          type: string
        shipping_type:
          type: string
        state_province:
          type: string
        street_address:
          type: string
        updated_at:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.CustomerGroupRef:
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.File:
      properties:
        app_id:
          type: string
        content_type:
          type: string
        created_at:
          type: string
        custom_fields:
          additionalProperties: {}
          type: object
        filename:
          type: string
        id:
          type: string
        updated_at:
          type: string
        url:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.StoreGroup:
      properties:
        country_of_sale:
          type: string
        created_at:
          type: string
        description:
          type: string
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        store_type:
          type: string
        updated_at:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.Tag:
      properties:
        id:
          type: string
        key:
          type: string
        name:
          type: string
      type: object
    AttributeTranslations:
      description: >-
        AttributeTranslations contains translations for attribute names and
        descriptions.
      properties:
        description:
          additionalProperties:
            type: string
          type: object
        name:
          additionalProperties:
            type: string
          type: object
      type: object
    AttributeValue:
      description: >-
        AttributeValue represents an attribute value with its translations and
        type.
      properties:
        translations:
          $ref: '#/components/schemas/AttributeValueTranslations'
        type:
          type: string
        value:
          type: string
      type: object
    AttributeValueTranslations:
      description: >-
        AttributeValueTranslations contains translations for attribute values in
        different languages.
      properties:
        value:
          additionalProperties:
            type: string
          type: object
      type: object

````